Get Available Runtime Actions
GET
Resolve an API object and return the action groups currently available to the authenticated user.
For a DSS trunk, copy the values from the trunk's actionObject: use DSS_TRUNK as objectType, the trunk identifier as objectId, and pass its context entries as query parameters prefixed with context.. In particular, context.presetId is required.
moduleId*integerModule identifier from actionObject.moduleId.
Range
1 <= valueorganizationId*integerOrganization identifier from actionObject.organizationId.
Format
int64Range
1 <= valueobjectType*stringRuntime object type from actionObject.objectType.
objectId*stringObject identifier from actionObject.objectId.
context.presetId*integerDSS preset identifier from actionObject.context.presetId.
Format
int64Range
1 <= valueRuntime actions retrieved successfully.
application/json- response
target*groups*array<>curl -X GET 'https://api.eis.it/v1/actions/runtime/modules/1/organizations/1/objects/string/string?context.presetId=1'Example Response
{ "target": { "moduleId": 0, "organizationId": 0, "objectType": "string", "objectId": "string", "context": { "property1": "string", "property2": "string" }, "data": {} }, "groups": [ { "code": "string", "label": "string", "actions": [ { "actionId": 0, "key": "string", "label": "string", "description": "string", "displayOrder": 0, "fields": [ { "key": "string", "label": "string", "fieldType": "string", "required": true, "sensitive": true, "displayOrder": 0, "config": null } ], "outputs": [ { "key": "string", "label": "string", "fieldType": "string", "sensitive": true, "oneTime": true, "copyable": true, "displayOrder": 0 } ] } ] } ]}